import { setRequest } from "@/utils/httpRequest";
/**
 * 省市区--选择列表
 */
export const area_list = (data) => setRequest("area/list", data);
/**
 * 省市区--选择列表
 */
export const area_list_sel = (data) => setRequest("area/list_sel", data);
/**
 * 3.1.1学校--列表
 */
export const school_list = (data) => setRequest("school/list", data);
/**
 * 3.1.2学校--添加
 */
export const school_add = (data) => setRequest("school/add", data);
/**
 * 3.1.3学校--更新
 */
export const school_edit = (data) => setRequest("school/edit", data);
/**
 * 3.1.3.2学校--启用
 */
export const school_enable = (data) => setRequest("school/enable", data);
/**
 * 3.1.3.3学校--禁用
 */
export const school_disabled = (data) => setRequest("school/disabled", data);
/**
 * 3.1.4学校--删除
 */
export const school_delete = (data) => setRequest("school/delete", data);
/**
 * 3.1.5学校--详情
 */
export const school_detail = (data) => setRequest("school/detail", data);
/**
 * 3.2.0.1用户--账号登录
 */
export const ulogin_login = (data) => setRequest("ulogin/login", data);
/**
 * 3.2.0.1用户--验证码登录
 */
export const ulogin_login_code = (data) =>
  setRequest("ulogin/login_code", data);
/**
 * 3.2.0.2用户--校验登录状态
 */
export const ulogin_check_login = (data) =>
  setRequest("ulogin/check_login", data);
/**
 * 3.2.0.3用户--退出登录
 */
export const ulogin_login_out = (data) => setRequest("ulogin/login_out", data);
/**
 * 3.2.1用户--管理列表
 */
export const user_list = (data) => setRequest("user/list", data);
/**
 * 3.2.1用户--导出列表
 */
export const user_export = (data) => setRequest("user/export", data);
/**
 * 3.2.2用户--学校下班级列表
 */
export const class_list = (data) => setRequest("class/list", data);
/**
 * 3.2.2用户--班级新增
 */
export const class_add = (data) => setRequest("class/add", data);
/**
 * 3.2.2用户--添加
 */
export const user_add = (data) => setRequest("user/add", data);
/**
 * 3.2.3用户--更新
 */
export const user_edit = (data) => setRequest("user/edit", data);
/**
 * 3.2.3.2用户--启用
 */
export const user_enable = (data) => setRequest("user/enable", data);
/**
 * 3.2.3.2用户--启用
 */
export const user_disabled = (data) => setRequest("user/disabled", data);
/**
 * 3.2.3.4用户--关注
 */
export const user_care = (data) => setRequest("user/care", data);
/**
 * 3.2.3.5用户--取消关注
 */
export const user_un_care = (data) => setRequest("user/un_care", data);
/**
 * 3.2.3.6用户--管控
 */
export const user_control = (data) => setRequest("user/control", data);
/**
 * 3.2.3.7用户--取消管控
 */
export const user_un_control = (data) => setRequest("user/un_control", data);
/**
 * 3.2.4用户--删除
 */
export const user_delete = (data) => setRequest("user/delete", data);
/**
 * 3.2.5用户--导入
 */
export const user_import = (data) => setRequest("user/import", data);
/**
 * 3.2.6用户--获取班级sn
 */
export const user_list_cs = (data) => setRequest("user/list_cs", data);
